diff --git a/pc-bios/u-boot.e500 b/pc-bios/u-boot.e500
index 6e547de6f9bb393588ec2a1bb38f0ae1061938bb..25537f8fe35f1a3f559544d43274b4fb80b572e9 100755
GIT binary patch
diff --git a/roms/u-boot b/roms/u-boot
index 2072e72..d85ca02 160000
--- a/roms/u-boot
+++ b/roms/u-boot
@@ -1 +1 @@
-Subproject commit 2072e7262965bb48d7fffb1e283101e6ed8b21a8
+Subproject commit d85ca029f257b53a96da6c2fb421e78a003a9943