diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index ae833437a73cb0955491b95f03cd42132d8d2e9c..d2098f1fd9ffd86554ba66088d462208b7182f04 100755
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 8fa4ca9935..649e6202b8 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 8fa4ca9935669414a824ecda24f6e70c36e8dc94
+Subproject commit 649e6202b8d65d46c69f542b1380f840fbe8ab13