diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index d2098f1fd9ffd86554ba66088d462208b7182f04..4ec0dbfc4ae065c29004156ce2933e66b761adf2 100755
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 649e6202b8..1ef99a0157 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 649e6202b8d65d46c69f542b1380f840fbe8ab13
+Subproject commit 1ef99a01572c2581c30e16e6fe69e9ea2ef92ce0