diff --git a/pc-bios/palcode-clipper b/pc-bios/palcode-clipper
index 1df377a0fde034e958f6a3b6f90ed9f19cfe582a..fb9026ae64c19937007516b55a4048c28bd8db29 100644
GIT binary patch
diff --git a/roms/qemu-palcode b/roms/qemu-palcode
index f3c7e44c70..51c237d7e2 160000
--- a/roms/qemu-palcode
+++ b/roms/qemu-palcode
@@ -1 +1 @@
-Subproject commit f3c7e44c70254975df2a00af39701eafbac4d471
+Subproject commit 51c237d7e20d05100eacadee2f61abc17e6bc097