diff --git a/pc-bios/qemu_vga.ndrv b/pc-bios/qemu_vga.ndrv
index 6e02f74d61e01c87cf50b10e174a6626bee13677..de81cfd1c57c30671d2017eb1899583fb1c887c3 100644
GIT binary patch
diff --git a/roms/QemuMacDrivers b/roms/QemuMacDrivers
index d4e7d7ac66..90c488d5f4 160000
--- a/roms/QemuMacDrivers
+++ b/roms/QemuMacDrivers
@@ -1 +1 @@
-Subproject commit d4e7d7ac663fcb55f1b93575445fcbca372f17a7
+Subproject commit 90c488d5f4a407342247b9ea869df1c2d9c8e266