diff --git a/pc-bios/u-boot.e500 b/pc-bios/u-boot.e500
index 25537f8fe35f1a3f559544d43274b4fb80b572e9..732660f348f6123d24144ee29ef38611428dc2d9 100644
GIT binary patch
diff --git a/roms/u-boot b/roms/u-boot
index d85ca029f2..d3689267f9 160000
--- a/roms/u-boot
+++ b/roms/u-boot
@@ -1 +1 @@
-Subproject commit d85ca029f257b53a96da6c2fb421e78a003a9943
+Subproject commit d3689267f92c5956e09cc7d1baa4700141662bff