diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 86930974b9e12bec214fb464eee443a0d844e6ff..48ad06821b37a0310cd5495d0a85fbd8b7fe2691 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 1ef99a0157..f99fade453 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 1ef99a01572c2581c30e16e6fe69e9ea2ef92ce0
+Subproject commit f99fade453884818cb229693f5844f0656b0394f