diff --git a/pc-bios/palcode-clipper b/pc-bios/palcode-clipper
index fb9026ae64c19937007516b55a4048c28bd8db29..b7dbc5d88c14b0191d34f76f79fb6cb7eb1f3327 100644
GIT binary patch
diff --git a/roms/qemu-palcode b/roms/qemu-palcode
index 51c237d7e2..bf0e136988 160000
--- a/roms/qemu-palcode
+++ b/roms/qemu-palcode
@@ -1 +1 @@
-Subproject commit 51c237d7e20d05100eacadee2f61abc17e6bc097
+Subproject commit bf0e13698872450164fa7040da36a95d2d4b326f