diff --git a/pc-bios/skiboot.lid b/pc-bios/skiboot.lid
index 6d5966c3ae5e7f7af0627271603e26f9ecf367ca..504b95e8b6611aff3a934ff10f789934680591f9 100644
GIT binary patch
diff --git a/roms/skiboot b/roms/skiboot
index 261ca8e779e5..3a6fdede6ce1 160000
--- a/roms/skiboot
+++ b/roms/skiboot
@@ -1 +1 @@
-Subproject commit 261ca8e779e5138869a45f174caa49be6a274501
+Subproject commit 3a6fdede6ce117facec0108afe716cf5d0472c3f