diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index c79e1e923cf6e1e06f28e43e87fce48707971611..8ada2ed167a722cc5634957502ad3c132c02435d 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 0f4fe84658..9312de136f 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 0f4fe84658165e96ce35870fd19fc634e182e77b
+Subproject commit 9312de136fc31b41774239f8bed8c2a817b98344