diff --git a/pc-bios/bios-256k.bin b/pc-bios/bios-256k.bin
index 04671f160aefce48ad9aa201365dbca21537de2f..654dac11914ad4eea8fee60beae0189bd968a09e 100644
GIT binary patch
diff --git a/pc-bios/bios.bin b/pc-bios/bios.bin
index 0159c9b5e9ac30a6f24f18cf531d4bb742660de2..d28c7a56e1739d6e60c9b2fce3cd9f706222be8f 100644
GIT binary patch
diff --git a/pc-bios/vgabios-ati.bin b/pc-bios/vgabios-ati.bin
index 79644708ff88014f127aad29b707bfc8e26aee06..e1901ff75fe70af50086b324974bec66127c6fbe 100644
GIT binary patch
diff --git a/pc-bios/vgabios-bochs-display.bin b/pc-bios/vgabios-bochs-display.bin
index dd8a1f7e668970c742fecba4f83f1262adda6dff..0b372ccb18c91f9ef9ab3f85495e59fe53720c5e 100644
GIT binary patch
diff --git a/pc-bios/vgabios-cirrus.bin b/pc-bios/vgabios-cirrus.bin
index 66b2adc5ff5d5432736f5d35995f76f297b9a024..1271c525f4e922a7c95958d8eb53a922cdc615e7 100644
GIT binary patch
diff --git a/pc-bios/vgabios-qxl.bin b/pc-bios/vgabios-qxl.bin
index 96aab241be8f64589c54e7fd0753f974592a02b2..432688e461388379d1b8118dd64c57dce96f821f 100644
GIT binary patch
diff --git a/pc-bios/vgabios-ramfb.bin b/pc-bios/vgabios-ramfb.bin
index 04eb20ed89bb0a14c361cda0df1753cf9b913e4e..bf991c0f0645314ea3968fe58892bada53fa618e 100644
GIT binary patch
diff --git a/pc-bios/vgabios-stdvga.bin b/pc-bios/vgabios-stdvga.bin
index 8559c4c562fbfa45fabc06310120d4631e258ae5..c08c906e319aa912c74f680218288760ade0a2ea 100644
GIT binary patch
diff --git a/pc-bios/vgabios-virtio.bin b/pc-bios/vgabios-virtio.bin
index 4e274c1e83b56447e2d08a8ab2525ad005a8b9b3..9360df10197cf4f2c61f5e1e31035cb47fdbf3ba 100644
GIT binary patch
diff --git a/pc-bios/vgabios-vmware.bin b/pc-bios/vgabios-vmware.bin
index c6df59fb67e6b9a7e5eb4d9f0a7ebfa1902996e5..0d89f4d95f46541884312db97e81aad24326c1c5 100644
GIT binary patch
diff --git a/pc-bios/vgabios.bin b/pc-bios/vgabios.bin
index 6bf8e76874f849744adbdd03dd713d3f5d0b96c9..16af68b38ebd5b91271bc81e906b084cc68d9ac5 100644
GIT binary patch
diff --git a/roms/Makefile b/roms/Makefile
index c15017051938..28e1e557b076 100644
--- a/roms/Makefile
+++ b/roms/Makefile
@@ -1,5 +1,5 @@
 
-vgabios_variants := stdvga cirrus vmware qxl isavga virtio bochs-display ramfb
+vgabios_variants := stdvga cirrus vmware qxl isavga virtio bochs-display ramfb ati
 vgabios_targets  := $(subst -isavga,,$(patsubst %,vgabios-%.bin,$(vgabios_variants)))
 pxerom_variants  := e1000 e1000e eepro100 ne2k_pci pcnet rtl8139 virtio vmxnet3
 pxerom_targets   := 8086100e 808610d3 80861209 10500940 10222000 10ec8139 1af41000 15ad07b0
diff --git a/roms/seabios b/roms/seabios
index a5cab58e9a3f..9caa19be0e53 160000
--- a/roms/seabios
+++ b/roms/seabios
@@ -1 +1 @@
-Subproject commit a5cab58e9a3fb6e168aba919c5669bea406573b4
+Subproject commit 9caa19be0e534c687081fbdfcd301406e728c98c