diff --git a/pc-bios/opensbi-riscv32-virt-fw_jump.bin b/pc-bios/opensbi-riscv32-virt-fw_jump.bin
index f5bcaa56954c860d09acc0cb337c1666d88b6efb..6c5b7b89f676392b687d9835ac9fbdc34f3052cd 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-sifive_u-fw_jump.bin b/pc-bios/opensbi-riscv64-sifive_u-fw_jump.bin
index eb22aefdfb468cfe2804cb4b0bc422d8ebcae93b..971f2be4054d481461efbddca947c44fcfc73ce9 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-virt-fw_jump.bin b/pc-bios/opensbi-riscv64-virt-fw_jump.bin
index 4cec6f0210f31969ac232123ce101ce71bbf9f2b..45a5aed1ce0cc2121a9e9b9733010d85da5f53ba 100644
GIT binary patch
diff --git a/roms/opensbi b/roms/opensbi
index ce228ee0919d..be92da280d87 160000
--- a/roms/opensbi
+++ b/roms/opensbi
@@ -1 +1 @@
-Subproject commit ce228ee0919deb9957192d723eecc8aaae2697c6
+Subproject commit be92da280d87c38a2e0adc5d3f43bab7b5468f09