diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index c79e1e923cf6e1e06f28e43e87fce48707971611..82d98b13536cdc9830edfec5caa33bc5b09ca912 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 0f4fe84658..1630ac7d65 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 0f4fe84658165e96ce35870fd19fc634e182e77b
+Subproject commit 1630ac7d65c4a09218cc677f1fa56cd5b3140447