diff --git a/pc-bios/opensbi-riscv32-virt-fw_jump.bin b/pc-bios/opensbi-riscv32-virt-fw_jump.bin
index 6c5b7b89f676392b687d9835ac9fbdc34f3052cd..c9654e70471764b0ee13e4d10b6f9368c6bcbf57 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-sifive_u-fw_jump.bin b/pc-bios/opensbi-riscv64-sifive_u-fw_jump.bin
index 971f2be4054d481461efbddca947c44fcfc73ce9..77f4dc8f8322212c437e7f8d7f2ddf63bae1c2cf 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-virt-fw_jump.bin b/pc-bios/opensbi-riscv64-virt-fw_jump.bin
index 45a5aed1ce0cc2121a9e9b9733010d85da5f53ba..31e74d12ea79f390344a7fe5164846bce93714da 100644
GIT binary patch
diff --git a/roms/opensbi b/roms/opensbi
index be92da280d..ac5e821d50 160000
--- a/roms/opensbi
+++ b/roms/opensbi
@@ -1 +1 @@
-Subproject commit be92da280d87c38a2e0adc5d3f43bab7b5468f09
+Subproject commit ac5e821d50be631f26274765a59bc1b444ffd862