diff --git a/pc-bios/opensbi-riscv32-sifive_u-fw_jump.bin b/pc-bios/opensbi-riscv32-sifive_u-fw_jump.bin
index bab13f597ac9da31518f0a2bb22c2a1dbd56380d..3e0da54080ef4dbf3fbde6205c983fb25c82e114 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv32-virt-fw_jump.bin b/pc-bios/opensbi-riscv32-virt-fw_jump.bin
index c9654e70471764b0ee13e4d10b6f9368c6bcbf57..bc56ed61fd9620880a5d04f6e01d48c83a96a74c 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-sifive_u-fw_jump.bin b/pc-bios/opensbi-riscv64-sifive_u-fw_jump.bin
index 77f4dc8f8322212c437e7f8d7f2ddf63bae1c2cf..1acee86dc7cabc1437018a69900b1c3e7f7a7d2b 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-virt-fw_jump.bin b/pc-bios/opensbi-riscv64-virt-fw_jump.bin
index 31e74d12ea79f390344a7fe5164846bce93714da..c62f2b449b9ae552e708389bc12d5b8569162889 100644
GIT binary patch
diff --git a/roms/opensbi b/roms/opensbi
index ac5e821d50..9f1b72ce66 160000
--- a/roms/opensbi
+++ b/roms/opensbi
@@ -1 +1 @@
-Subproject commit ac5e821d50be631f26274765a59bc1b444ffd862
+Subproject commit 9f1b72ce66d659e91013b358939e832fb27223f5