diff --git a/pc-bios/openbios-ppc b/pc-bios/openbios-ppc
index 1c9ab09af72daa1e382a95334e90a1d255d2a9bd..5da9363bff64e21ab61ecf70d571855a3714843f 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc32 b/pc-bios/openbios-sparc32
index 2ba8660ddefef3f7e4bf42f1b1f0b7fb2ddbc228..d68b5e5d30961f8b796d06e1e17374f310e201d5 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc64 b/pc-bios/openbios-sparc64
index 99420eb815a1675df80e837630a4284ce5c4e1eb..26d631ea64c501927c417cf4c5352808dbb1f7ca 100644
GIT binary patch
diff --git a/roms/openbios b/roms/openbios
index 7e5b89e429..4704d9eba6 160000
--- a/roms/openbios
+++ b/roms/openbios
@@ -1 +1 @@
-Subproject commit 7e5b89e4295063d8eba55b9c8ce8bc681c2d129a
+Subproject commit 4704d9eba6d8017dc694c077ca4205ffd8becad8