diff --git a/pc-bios/openbios-ppc b/pc-bios/openbios-ppc
index 5da9363bff64e21ab61ecf70d571855a3714843f..a07757a987e9ad424067427d23a1a46762952939 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc32 b/pc-bios/openbios-sparc32
index d68b5e5d30961f8b796d06e1e17374f310e201d5..2faaab83ba762392c9a548c49584c023f4d233c2 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc64 b/pc-bios/openbios-sparc64
index 26d631ea64c501927c417cf4c5352808dbb1f7ca..dd7eeeeab440788f483d7ea0af6cde56c1a34ab1 100644
GIT binary patch
diff --git a/roms/openbios b/roms/openbios
index 4704d9eba6..75fbb41d28 160000
--- a/roms/openbios
+++ b/roms/openbios
@@ -1 +1 @@
-Subproject commit 4704d9eba6d8017dc694c077ca4205ffd8becad8
+Subproject commit 75fbb41d2857d93208c74a8e0228b29fd7bf04c0