diff --git a/pc-bios/openbios-ppc b/pc-bios/openbios-ppc
index a07757a987e9ad424067427d23a1a46762952939..def6d4cf63380d2601f35e2320b38055b8c4d6f1 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc32 b/pc-bios/openbios-sparc32
index 2faaab83ba762392c9a548c49584c023f4d233c2..67b8b83d984a3f4f804dab117b54b89783579824 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc64 b/pc-bios/openbios-sparc64
index dd7eeeeab440788f483d7ea0af6cde56c1a34ab1..dfa1f10bbc140d78d56451fd4e5c73da13898d5e 100644
GIT binary patch
diff --git a/roms/openbios b/roms/openbios
index 75fbb41d28..7f28286f5c 160000
--- a/roms/openbios
+++ b/roms/openbios
@@ -1 +1 @@
-Subproject commit 75fbb41d2857d93208c74a8e0228b29fd7bf04c0
+Subproject commit 7f28286f5cb1ca682e3ba0a8706d8884f12bc49e