diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 82d98b13536cdc9830edfec5caa33bc5b09ca912..eb11ca12f60453c3b43562853a8a19ca9a30dfcb 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 1630ac7d65..004258352c 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 1630ac7d65c4a09218cc677f1fa56cd5b3140447
+Subproject commit 004258352cd89a30367ccc97f8a0a30f92e42717