diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 82d98b13536cdc9830edfec5caa33bc5b09ca912..f0f8d0e164898cd3a19406ce24d1bbfc036a4667 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 1630ac7d65..4ff7639e2b 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 1630ac7d65c4a09218cc677f1fa56cd5b3140447
+Subproject commit 4ff7639e2b86d5775fa7d5cd0dbfa4d3a385a701