========

Kevin O'Connor (1):
      docs: Note v1.14.0 release

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
---
 pc-bios/bios-256k.bin             | Bin 262144 -> 262144 bytes
 pc-bios/bios.bin                  | Bin 131072 -> 131072 bytes
 pc-bios/vgabios-ati.bin           | Bin 39424 -> 39424 bytes
 pc-bios/vgabios-bochs-display.bin | Bin 28672 -> 28672 bytes
 pc-bios/vgabios-cirrus.bin        | Bin 38912 -> 38912 bytes
 pc-bios/vgabios-qxl.bin           | Bin 39424 -> 39424 bytes
 pc-bios/vgabios-ramfb.bin         | Bin 28672 -> 28672 bytes
 pc-bios/vgabios-stdvga.bin        | Bin 39424 -> 39424 bytes
 pc-bios/vgabios-virtio.bin        | Bin 39424 -> 39424 bytes
 pc-bios/vgabios-vmware.bin        | Bin 39424 -> 39424 bytes
 pc-bios/vgabios.bin               | Bin 38912 -> 38912 bytes
 roms/seabios                      |   2 +-
 12 files changed, 1 insertion(+), 1 deletion(-)

diff --git a/pc-bios/bios-256k.bin b/pc-bios/bios-256k.bin
index 8fd42903cdb950228613e06c228b7f8004a1381a..96bdeaa487daef197cee02655116518baba34f67 100644
GIT binary patch
diff --git a/pc-bios/bios.bin b/pc-bios/bios.bin
index 528b8ab412b6cd143305bb3dc7173d2d6fc166c0..3ecaf4a7094b556f821e08901df19b280b8bf4c1 100644
GIT binary patch
diff --git a/pc-bios/vgabios-ati.bin b/pc-bios/vgabios-ati.bin
index 3dbfe53e5c88c9e62534ee54cea648e829b66c4e..118caacde6af3f4b0e06851fb3ab85aa14c7c687 100644
GIT binary patch
diff --git a/pc-bios/vgabios-bochs-display.bin b/pc-bios/vgabios-bochs-display.bin
index ca4c3db2db79d1cbc6deeec7835c34be02966975..d79124b76010580a220fc6a92df7c83350ac5a58 100644
GIT binary patch
diff --git a/pc-bios/vgabios-cirrus.bin b/pc-bios/vgabios-cirrus.bin
index b8ee1fe0ff050f34b3565c15e3fd569a4a804609..37bf5e7fe72d5e9f4ecc2747cd5eb9d1eb8d9f41 100644
GIT binary patch
diff --git a/pc-bios/vgabios-qxl.bin b/pc-bios/vgabios-qxl.bin
index 9829cd1dec0d92e902a391c3c3d41c0a4642cb66..0ff8ff21f00582e1738b052e0bf959be3aeafcae 100644
GIT binary patch
diff --git a/pc-bios/vgabios-ramfb.bin b/pc-bios/vgabios-ramfb.bin
index 12dcb8e82305948dd3fb4cead4211f4978fbf514..df5e9d615a2b2f706bcc4a7be1cc4050d6b4ceeb 100644
GIT binary patch
diff --git a/pc-bios/vgabios-stdvga.bin b/pc-bios/vgabios-stdvga.bin
index 68fe2fe820d3e4782f2455e39de7b324f32e63cf..70f60941533d7e8567a0d107f6e671c8b5635ca8 100644
GIT binary patch
diff --git a/pc-bios/vgabios-virtio.bin b/pc-bios/vgabios-virtio.bin
index 60ce81d37c3a6b0fb8d368f2d4c738db0378f427..65af5be59d17c764c3ae5d7527a824b153765312 100644
GIT binary patch
diff --git a/pc-bios/vgabios-vmware.bin b/pc-bios/vgabios-vmware.bin
index b75a3517d11a731276087f1d57cd9fbd9e6cd6e8..89d42b32c1f3dda0a489f1e2f8d5246b8f6342cb 100644
GIT binary patch
diff --git a/pc-bios/vgabios.bin b/pc-bios/vgabios.bin
index 410436fbdf9093badab3b01c8478d40f9278349b..320471e18d34b9398b503af0df932a55e39eed4c 100644
GIT binary patch
diff --git a/roms/seabios b/roms/seabios
index d9c812dda519..155821a1990b 160000
--- a/roms/seabios
+++ b/roms/seabios
@@ -1 +1 @@
-Subproject commit d9c812dda519a1a73e8370e1b81ddf46eb22ed16
+Subproject commit 155821a1990b6de78dde5f98fa5ab90e802021e0