diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index f0f8d0e164898cd3a19406ce24d1bbfc036a4667..30d03204dbc966a7d7d42eaabc5b893e7e783007 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 4ff7639e2b..573576115a 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 4ff7639e2b86d5775fa7d5cd0dbfa4d3a385a701
+Subproject commit 573576115a576642b1c253deca727be9631c72fb