diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index f0f8d0e164898cd3a19406ce24d1bbfc036a4667..4ba8c7f8b8d4187271e958f5b1f6d7f2a099e0d8 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 4ff7639e2b..73b740f771 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 4ff7639e2b86d5775fa7d5cd0dbfa4d3a385a701
+Subproject commit 73b740f77190643b2ada5ee97a9a108c6ef2a37b