========

Andrew Grasso (1):
      [intel] Add INTEL_NO_PHY_RST for I218LM

Ben Bleything (1):
      [intel] Set INTEL_NO_PHY_RST on i218v

Bobby Lockwood (1):
      [libgcc] Change __divmoddi4 from int64 [unknown] to int64_t

Bruce Rogers (1):
      [build] Be explicit about -fcommon compiler directive

Christian Nilsson (1):
      [intel] Add PCI ID for I219-V and -LM 6 to 9

Daniel Johnson (1):
      [deflate] Fix typo in comment describing length codes

David Decotigny (2):
      [pcbios] Fix "out of memory" detection when expanding bottom area
      [pcbios] Take alignment into account when checking for available space

Dentcho Ludmilov Bankov (1):
      [comboot] Fix stack pointer retrieval after COM32 binary returns

Ignat Korchagin (3):
      [snp] Try promiscuous multicast receive filter if the regular one fails
      [snp] Set EFI_SIMPLE_NETWORK_RECEIVE_MULTICAST bit as per UEFI spec
      [efi] Check the status code from AllocatePool()

Joe Groocock (1):
      [cmdline] Add "--timeout" parameter to "ifconf" command

Joseph Wong (1):
      [bnxt] Add driver support for Broadcom NetXtreme-E Adapters

LaDerrick H (1):
      [sfc] Add PCI ID for Solarflare SFC9120 and Solarflare SFC9140

Michael Brown (105):
      [init] Show startup and shutdown function names in debug messages
      [efi] Blacklist the Dell Ip4ConfigDxe driver
      [tls] Support stateful session resumption
      [tls] Fix incorrectly duplicated error number
      [tls] Support stateless session resumption
      [crypto] Use x509_name() in validator debug messages
      [tls] Display cross-certificate and OCSP status messages
      [tls] Display validator messages only while validation is in progress
      [tcp] Display "connecting" status until connection is established
      [ocsp] Accept response certID with missing hashAlgorithm parameters
      [pci] Add support for PCI MSI-X interrupts
      [vlan] Provide vlan_netdev_rx() and vlan_netdev_rx_err()
      [intelxl] Use VLAN tag in receive descriptor if present
      [intelxl] Allow for virtual function admin queue register maps
      [intelxl] Use one admin queue buffer per admin queue descriptor
      [intelxl] Allow admin queues to be reinitialised
      [intelxl] Allow admin cookie to hold extended opcode and return code
      [intelxl] Provide a mechanism for handling "send to VF" events
      [intelxl] Use 32-byte receive descriptors
      [intelxl] Allow for arbitrary placement of ring tail registers
      [intelxl] Split out ring creation from context programming
      [intelxl] Allow for arbitrary placement of interrupt control register
      [intelxl] Expose functions required by virtual function driver
      [intelxl] Choose to operate in non-PXE mode
      [intelxl] Add driver for Intel 40 Gigabit Ethernet NIC virtual functions
      [build] Fix use of inline assembly on GCC 8 ARM64 builds
      [arm] Provide dummy implementations for {in,out}[s]{b,w,l}
      [efi] Return only registered EFI devices from efidev_parent()
      [fdt] Add ability to parse a MAC address from a flattened device tree
      [efi] Register a device tree if provided by the platform firmware
      [smsc95xx] Fetch MAC from device tree for Raspberry Pi
      [build] Add named configuration for Raspberry Pi
      [smscusb] Fetch MAC from device tree for Raspberry Pi Model B+
      [build] Do not apply WORKAROUND_CFLAGS for host compiler
      [build] Move predefined all-drivers build shortcut to Makefile
      [build] Add predefined shortcut for Raspberry Pi builds
      [process] Add PROC_INIT() for initialising static processes
      [peerdist] Start block download timers from within opener methods
      [peerdist] Limit number of concurrent raw block downloads
      [tls] Add missing call to tls_tx_resume() when restarting negotiation
      [crypto] Drag in configured digestInfo prefixes for any use of RSA
      [crypto] Profile the various stages of modular multiplication
      [coverity] Override assumptions about wcrtomb() and hmac_init()
      [ethernet] Avoid false positive Coverity warning
      [golan] Fix address-of-pointer bug for multicast attach/detach
      [efi] Report failed control transfers as expected by the USB core
      [efi] Do not attempt EFI_USB_IO_PROTOCOL transfers during shutdown
      [lan78xx] Always enable automatic speed and duplex detection
      [peerdist] Allow PeerDist to be globally enabled or disabled
      [peerdist] Allow for the use of a hosted cache server
      [build] Construct full version number automatically from git revision
      [travis] Ensure that most recent tag is always available
      [tftp] Eliminate unnecessary variable-length stack allocation
      [infiniband] Eliminate variable-length stack allocation
      [slam] Eliminate variable-length stack allocation
      [slam] Allow for the possibility of IPv6 multicast addresses
      [settings] Eliminate variable-length stack allocation
      [iscsi] Eliminate variable-length stack allocations in CHAP handlers
      [iscsi] Eliminate variable-length stack allocation in URI parsing
      [bios] Define macros for constructing partition table entries
      [int13con] Create log partition only when CONSOLE_INT13 is enabled
      [efi] Disambiguate errors returned by ConnectController
      [png] Fix potential integer overflow
      [efi] Work around UEFI specification bug in LoadImage
      [efi] Work around UEFI specification bug in LoadImage for SAN boot
      [uri] Avoid appearing to access final byte of a potentially empty string
      [efi] Attempt to connect our driver directly if ConnectController fails
      [tls] Allow a minimum TLS protocol version to be specified
      [tls] Default to supporting only TLSv1.1 or above
      [crypto] Allow algorithms to be included without being OID-identifiable
      [crypto] Ensure that test code drags in required ASN.1 object identifiers
      [crypto] Disable MD5 as an OID-identifiable algorithm by default
      [snp] Retry initialisation if link is reported as down
      [util] Treat empty integer strings as invalid
      [parseopt] Treat empty integer strings in user input as invalid
      [efi] Enable stack protection where possible
      [ocsp] Accept SHA1 certID responses even if SHA1 is not enabled
      [intel] Avoid spurious compiler warning on GCC 10
      [golan] Add explicit type casts for nodnic_queue_pair_type
      [build] Disable position-independent code for ARM64 EFI builds
      [efi] Detect and disable seriously broken EFI_RNG_PROTOCOL implementations
      [efi] Raise TPL during driver entry point
      [axge] Handle non-gigabit link speeds
      [usb] Clear device endpoint halt before resetting host endpoint
      [usb] Add missing usb_recycle() for completed hub interrupt transfers
      [usb] Do not attempt to disable USB3 hub ports
      [xhci] Set link state to RxDetect after disabling USB3 root hub port
      [usb] Avoid unnecessary calls to usb_hub_set_drvdata()
      [xhci] Increase link state settling delay to 100ms
      [axge] Reapply USB device configuration when opening network device
      [usb] Leave port enabled after a failed device registration
      [crypto] Avoid temporarily setting direction flag in bigint_is_geq()
      [libc] Provide an unoptimised generic_memcpy_reverse()
      [efi] Avoid setting direction flag on EFI platforms
      [libc] Add bit-rotation functions for unsigned long values
      [efi] Distribute available entropy within stack cookie
      [efi] Ensure NUL byte is at lowest address within stack cookie
      [efi] Claim SNP devices early in efi_download_start()
      [xfer] Remove address family from definition of a socket opener
      [dns] Use all configured DNS servers
      [wpa] Fix erroneous debug message in wpa_derive_ptk
      [efi] Match EDK2 numbering for USB ports
      [efi] Use device path to locate filesystem from which we were loaded
      [efi] Attempt NII initialisation both with and without cable detection
      [build] Fix building on older versions of gcc

Michael J. Bazzinotti (1):
      [libc] Fix memcmp() to return proper values

Mohammed (1):
      [golan] Add various new PCI device IDs

Rob Taglang (1):
      [intelx] Added PCI_ROM entry for Intel x553/x557-AT and x553 (SFP+) NICs

Tobias Kortkamp (1):
      [build] Fix a GNUism that FreeBSD's sed(1) cannot deal with

Valentine Barshak (2):
      [build] Fix "'%s' directive argument is null" error
      [build] Workaround compilation error with gcc 9.1

bit (1):
      [build] Fix default target in sdsk image

Signed-off-by: Gerd Hoffmann <kraxel@redhat.com>
---
 roms/ipxe | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/roms/ipxe b/roms/ipxe
index de4565cbe76e..4bd064de239d 160000
--- a/roms/ipxe
+++ b/roms/ipxe
@@ -1 +1 @@
-Subproject commit de4565cbe76ea9f7913a01f331be3ee901bb6e17
+Subproject commit 4bd064de239dab2426b31c9789a1f4d78087dc63