diff --git a/pc-bios/opensbi-riscv32-generic-fw_dynamic.bin b/pc-bios/opensbi-riscv32-generic-fw_dynamic.bin
index 23b4dfb3b941b030ffefe8ef5c8b4ef77b35c51d..ae651e2993e253a4663c438b47f2e81e30415c39 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv32-generic-fw_dynamic.elf b/pc-bios/opensbi-riscv32-generic-fw_dynamic.elf
index eb9ebf5674d3953ab25de6bf4db134abe904eb20..3250d89408d96a4332d305df503e21f5f18fc593 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-generic-fw_dynamic.bin b/pc-bios/opensbi-riscv64-generic-fw_dynamic.bin
index 16c0cf4d0a7c9bb2e7f0f1c03d4e56d529290b8b..f039884483d5a9ff100ecb8f2799254285855566 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-generic-fw_dynamic.elf b/pc-bios/opensbi-riscv64-generic-fw_dynamic.elf
index 642a64e240d09b2ddb9fc12c74718ae8d386b9d3..ef261c98d1ab03d6a7452a29253410cb147cf8b7 100644
GIT binary patch
diff --git a/roms/opensbi b/roms/opensbi
index a98258d0b5..234ed8e427 160000
--- a/roms/opensbi
+++ b/roms/opensbi
@@ -1 +1 @@
-Subproject commit a98258d0b537a295f517bbc8d813007336731fa9
+Subproject commit 234ed8e427f4d92903123199f6590d144e0d9351