diff --git a/pc-bios/openbios-ppc b/pc-bios/openbios-ppc
index def6d4cf63380d2601f35e2320b38055b8c4d6f1..e40e1d7025b8f2e947f7f8a1932cda4d529c1966 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc32 b/pc-bios/openbios-sparc32
index 67b8b83d984a3f4f804dab117b54b89783579824..0c0aa094ec32b80b15111617c8a852a12bf73308 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc64 b/pc-bios/openbios-sparc64
index dfa1f10bbc140d78d56451fd4e5c73da13898d5e..a3e458517aefc12e23340e00c63f9db70e614ec8 100644
GIT binary patch
diff --git a/roms/openbios b/roms/openbios
index 7f28286f5c..4a0041107b 160000
--- a/roms/openbios
+++ b/roms/openbios
@@ -1 +1 @@
-Subproject commit 7f28286f5cb1ca682e3ba0a8706d8884f12bc49e
+Subproject commit 4a0041107b8ef77e0e8337bfcb5f8078887261a7