diff --git a/pc-bios/u-boot.e500 b/pc-bios/u-boot.e500
index 732660f348f6123d24144ee29ef38611428dc2d9..d2e29f81d648e4fa7e010ab7c44f2d22154094aa 100644
GIT binary patch
diff --git a/roms/u-boot b/roms/u-boot
index d3689267f9..b46dd116ce 160000
--- a/roms/u-boot
+++ b/roms/u-boot
@@ -1 +1 @@
-Subproject commit d3689267f92c5956e09cc7d1baa4700141662bff
+Subproject commit b46dd116ce03e235f2a7d4843c6278e1da44b5e1