diff --git a/pc-bios/palcode-clipper b/pc-bios/palcode-clipper
index b7dbc5d88c14b0191d34f76f79fb6cb7eb1f3327..aecb30403641e1f2acac0bfd472174d06fa1da5f 100644
GIT binary patch
diff --git a/roms/qemu-palcode b/roms/qemu-palcode
index bf0e136988..99d9b4dcf2 160000
--- a/roms/qemu-palcode
+++ b/roms/qemu-palcode
@@ -1 +1 @@
-Subproject commit bf0e13698872450164fa7040da36a95d2d4b326f
+Subproject commit 99d9b4dcf27d7fbcbadab71bdc88ef6531baf6bf