diff --git a/pc-bios/skiboot.lid b/pc-bios/skiboot.lid
index 504b95e8b6611aff3a934ff10f789934680591f9..8a3c278512a428a034ed5b1ddbed017ae8c0a9d0 100644
GIT binary patch
diff --git a/roms/skiboot b/roms/skiboot
index 3a6fdede6c..820d43c0a7 160000
--- a/roms/skiboot
+++ b/roms/skiboot
@@ -1 +1 @@
-Subproject commit 3a6fdede6ce117facec0108afe716cf5d0472c3f
+Subproject commit 820d43c0a7751e75a8830561f35535dfffd522bd