diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index a34a8c84f5d96419bbe7baf0b2fed1842a450cdd..b5b682db5d4c1c155379c0a511f5c57da0af7f14 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index b12acac4be..ca4add2568 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit b12acac4be27b6d5d9fbe48c4be1286dcc245fbb
+Subproject commit ca4add256818419bc85a14d5d2c57ffed40a81fe