diff --git a/pc-bios/openbios-ppc b/pc-bios/openbios-ppc
index 67f32a8602e368a2485ec463cf6c8a96da77b46d..5f35274cbea022fe42b8f163c632a029cde11c21 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc32 b/pc-bios/openbios-sparc32
index 376b01c10b5ecc6c52f6f7f97866b54b3d2a3f3a..c9f1f72472efe025cc9f96cd59c8097ab5b0db8b 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc64 b/pc-bios/openbios-sparc64
index bbd746fde9494bd776ece55951974f393383e1b8..792905d812641e7a39b50e6cc8a5928945a75175 100644
GIT binary patch
diff --git a/roms/openbios b/roms/openbios
index b9062deaae..04dfc984ac 160000
--- a/roms/openbios
+++ b/roms/openbios
@@ -1 +1 @@
-Subproject commit b9062deaaea7269369eaa46260d75edcaf276afa
+Subproject commit 04dfc984ac0ad70e2d1f58d1121e3b7670901124