diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 0ec2d96b8f48a46dc9c0fabd50d14d5a2212a071..cc4a759902933ec02611ef05cecf4cb9d91e659e 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index bf3404006f..32ed5df025 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit bf3404006fd2c832857eb57e6f853862f97dacea
+Subproject commit 32ed5df025b306d6e2babb8beff4081b1194dc54