diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 0ec2d96b8f48a46dc9c0fabd50d14d5a2212a071..392bce072bad607b1baaff0136f35844fa5d439e 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index bf3404006f..17ca7a9998 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit bf3404006fd2c832857eb57e6f853862f97dacea
+Subproject commit 17ca7a9998c1755d42321cfc0afb5f480f5a58ff