diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 392bce072bad607b1baaff0136f35844fa5d439e..b2cbb71ee0f91623d038db04d6900a5ed17472a6 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 17ca7a9998..458626c4c6 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 17ca7a9998c1755d42321cfc0afb5f480f5a58ff
+Subproject commit 458626c4c6441045c0612f24313c7cf1f95e71c6