diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index b2cbb71ee0f91623d038db04d6900a5ed17472a6..e7660b0458b78b101c7ed2dc17595e94438ffeb8 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 458626c4c6..1cfbe76ff6 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 458626c4c6441045c0612f24313c7cf1f95e71c6
+Subproject commit 1cfbe76ff625fce9ed5991f7e13d80ffec900f40