diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 0fa3808f163ea60766272188a634d9296f2b5be4..c7196143b180af6e02d1d93591f2684e82f3fb0d 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 673d2595d4..763e3b7349 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 673d2595d4f773cc266cbf8dbaf2f475a6adb949
+Subproject commit 763e3b73499db5fef94087bd310bfc8ccbcf7858