diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index c7196143b180af6e02d1d93591f2684e82f3fb0d..e976c0cc933214ef3d6f420c5936f6972ae8c343 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 763e3b7349..fd5b6cf823 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 763e3b73499db5fef94087bd310bfc8ccbcf7858
+Subproject commit fd5b6cf82369a1e53d68302fb6ede2b9e2afccd1