diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index e976c0cc933214ef3d6f420c5936f6972ae8c343..cc44b262b81947a469f52ee481fc54c26d8c200e 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index fd5b6cf823..0f93bec276 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit fd5b6cf82369a1e53d68302fb6ede2b9e2afccd1
+Subproject commit 0f93bec2769577b3d3b7ecea680abbd40d5ced6e