diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index e976c0cc933214ef3d6f420c5936f6972ae8c343..9a2d54f26bf8e9ec29475adc84e8aad247fa1a08 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index fd5b6cf823..2a23dd388f 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit fd5b6cf82369a1e53d68302fb6ede2b9e2afccd1
+Subproject commit 2a23dd388fcc1068f9c4a3077e0662803743e1c8