diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index 9a2d54f26bf8e9ec29475adc84e8aad247fa1a08..ab715f0ecdafe01bfab60e2d8ac74eb7ea4cb12a 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 2a23dd388f..4c6ecda618 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 2a23dd388fcc1068f9c4a3077e0662803743e1c8
+Subproject commit 4c6ecda618f2066707f50c53f31419244fd7f77a