diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
index ab715f0ecdafe01bfab60e2d8ac74eb7ea4cb12a..43606f826b40b49984cb13a5f8a543255dd0605d 100644
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 4c6ecda618..72483458cc 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 4c6ecda618f2066707f50c53f31419244fd7f77a
+Subproject commit 72483458cc79161e39a8ac10e99fd24badb0b5db