diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
old mode 100644
new mode 100755
index 1b3a8418250db977e0c0c4ae7194ba7e0199c30d..3cd2e2e68e06823a9a57ac582c19b025f4cd32de
GIT binary patch
diff --git a/pc-bios/hppa-firmware64.img b/pc-bios/hppa-firmware64.img
new file mode 100755
index 0000000000000000000000000000000000000000..17fb91dc7303d34aaa61ea713d81f7ed5ae6223b
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index e4eac85880..d7078ed49b 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit e4eac85880e8677f96d8b9e94de9f2eec9c0751f
+Subproject commit d7078ed49b4f896dd2c8694129667a9662155d2f