diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
old mode 100644
new mode 100755
index 1b3a8418250db977e0c0c4ae7194ba7e0199c30d..e065e48ded21a44fc16592c571a0752422e31200
GIT binary patch
diff --git a/pc-bios/hppa-firmware64.img b/pc-bios/hppa-firmware64.img
new file mode 100755
index 0000000000000000000000000000000000000000..7f6d837f0da72a46591addf548cac72abd0e2a9c
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index e4eac85880..03774edaad 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit e4eac85880e8677f96d8b9e94de9f2eec9c0751f
+Subproject commit 03774edaad3bfae090ac96ca5450353c641637d1