diff --git a/pc-bios/opensbi-riscv32-generic-fw_dynamic.bin b/pc-bios/opensbi-riscv32-generic-fw_dynamic.bin
index 60ca1165c820ff29b984566db22b9453541da19a..7ec260ff4047d11f7683c9a0b2fed73e1996cd75 100644
GIT binary patch
diff --git a/pc-bios/opensbi-riscv64-generic-fw_dynamic.bin b/pc-bios/opensbi-riscv64-generic-fw_dynamic.bin
index bae158d4577341eb3d752ca13cc66149961f8cb4..090c0cf6ac988f811b220c45565eca027fc21d50 100644
GIT binary patch
diff --git a/roms/opensbi b/roms/opensbi
index a2b255b889..455de672dd 160000
--- a/roms/opensbi
+++ b/roms/opensbi
@@ -1 +1 @@
-Subproject commit a2b255b88918715173942f2c5e1f97ac9e90c877
+Subproject commit 455de672dd7c2aa1992df54dfb08dc11abbc1b1a