diff --git a/pc-bios/openbios-ppc b/pc-bios/openbios-ppc
index 4af60026b40a98c5a2016a313d4d985dc683596e..6f472d4b11ab4e345d8f8bd305932f46359e8def 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc32 b/pc-bios/openbios-sparc32
index 41b6a607fb645968237a4ee482a4c367d7fa1084..96792482607b5aa1b0db4c4e9944b4927e400d01 100644
GIT binary patch
diff --git a/pc-bios/openbios-sparc64 b/pc-bios/openbios-sparc64
index 902b4b35080eaf95417cbbce923dda5682cbe70f..0a13453efa072b5ac793261253efa2a1fd74d2c6 100644
GIT binary patch
diff --git a/roms/openbios b/roms/openbios
index af97fd7af5..c3a19c1e54 160000
--- a/roms/openbios
+++ b/roms/openbios
@@ -1 +1 @@
-Subproject commit af97fd7af5e7c18f591a7b987291d3db4ffb28b5
+Subproject commit c3a19c1e54977a53027d6232050e1e3e39a98a1b