diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
old mode 100755
new mode 100644
index e065e48ded21a44fc16592c571a0752422e31200..6832dfc06d6b2f180e59fa9c3270d04e87fabd9c
GIT binary patch
diff --git a/pc-bios/hppa-firmware64.img b/pc-bios/hppa-firmware64.img
old mode 100755
new mode 100644
index 7f6d837f0da72a46591addf548cac72abd0e2a9c..16c08aa497ad0261782e5868cba0f3338631fcf5
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index 03774edaad..a528f01d7a 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit 03774edaad3bfae090ac96ca5450353c641637d1
+Subproject commit a528f01d7abd511d3cc71b7acaab6e036ee524bd