diff --git a/pc-bios/hppa-firmware.img b/pc-bios/hppa-firmware.img
old mode 100644
new mode 100755
index 6832dfc06d6b2f180e59fa9c3270d04e87fabd9c..d5f6f2fcaf5cc7e16565cf174dbaee6aa75303fc
GIT binary patch
diff --git a/pc-bios/hppa-firmware64.img b/pc-bios/hppa-firmware64.img
old mode 100644
new mode 100755
index 16c08aa497ad0261782e5868cba0f3338631fcf5..577b0a1b3f9239d0e5b1fa6b4397a023297fe3bc
GIT binary patch
diff --git a/roms/seabios-hppa b/roms/seabios-hppa
index a528f01d7a..1c516b4813 160000
--- a/roms/seabios-hppa
+++ b/roms/seabios-hppa
@@ -1 +1 @@
-Subproject commit a528f01d7abd511d3cc71b7acaab6e036ee524bd
+Subproject commit 1c516b481339f511d83a4afba9a48d1ac904e93e